Uploading
Get upload session status
GET
/
uploading
/
{upload_uuid}
/
status
Get upload session status
curl --request GET \
--url https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status \
--header 'Authorization: <api-key>' \
--header 'Client-Id: <api-key>'import requests
url = "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status"
headers = {
"Authorization": "<api-key>",
"Client-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>', 'Client-Id': '<api-key>'}};
fetch('https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Client-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Client-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status")
.header("Authorization", "<api-key>")
.header("Client-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["Client-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"upload_uuid": "<string>",
"session_status": "<string>",
"entities": [
"<string>"
],
"upload_tasks_finished": true,
"can_upload_entities": true,
"can_start_upload": true,
"can_terminate": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>"
}Path Parameters
Response
Successful Response
Upload session identifier.
Current session status: UPLOADING, STARTED, DONE, or DELETED.
Task-type names of entities uploaded in this session.
True when previously uploaded packages are fully prepared and ready for data loading.
True when entity ingest is allowed.
True when data loading can be started.
True when the running data loading can be terminated.
⌘I
Get upload session status
curl --request GET \
--url https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status \
--header 'Authorization: <api-key>' \
--header 'Client-Id: <api-key>'import requests
url = "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status"
headers = {
"Authorization": "<api-key>",
"Client-Id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>', 'Client-Id': '<api-key>'}};
fetch('https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Client-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Client-Id", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status")
.header("Authorization", "<api-key>")
.header("Client-Id", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://connector-api.datawiz.io/api/v1/uploading/{upload_uuid}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<api-key>'
request["Client-Id"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"upload_uuid": "<string>",
"session_status": "<string>",
"entities": [
"<string>"
],
"upload_tasks_finished": true,
"can_upload_entities": true,
"can_start_upload": true,
"can_terminate": true
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"detail": "<string>"
}